%define modname propro
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B15_%{modname}.ini

Summary:	Property proxy
Name:		php-%{modname}
Version:	2.1.0
Release:	%mkrel 2
Group:		Development/PHP
License:	BSD
URL:		http://pecl.php.net/package/%{modname}
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:7.0.0
Requires:	php >= 3:7.0.0

%description
A reusable split-off of pecl_http's property proxy API.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_includedir}/php/ext/%{modname}

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

install -m644 php_%{modname}.h %{buildroot}%{_includedir}/php/ext/%{modname}
install -m644 php_%{modname}_api.h %{buildroot}%{_includedir}/php/ext/%{modname}

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%{_includedir}/php/ext/%{modname}/php_%{modname}.h
%{_includedir}/php/ext/%{modname}/php_%{modname}_api.h


%changelog
* Sun Nov 11 2018 mokraemer <mokraemer> 2.1.0-2.mga6
+ Revision: 1329565
- recompile
- php7 backport packages
- import php7 packages for backport
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1300236
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 mokraemer <mokraemer> 2.1.0-1.mga7
+ Revision: 1216688
- new version 2.1.0

* Sun Dec 03 2017 mokraemer <mokraemer> 2.0.1-2.mga7
+ Revision: 1180992
+ rebuild (emptylog)

* Sun Nov 12 2017 zezinho <zezinho> 2.0.1-1.mga7
+ Revision: 1177089
- new version

* Fri Mar 10 2017 rapsys <rapsys> 1.0.2-1.mga6
+ Revision: 1091507
- Fix ini numbering
- Fix license
- imported package php-propro

